### Function

# Camel util_encode_user_header_setting

since: 3.42

#### Declaration [src]

    gchar*
    camel_util_encode_user_header_setting (
      const gchar* display_name,
      const gchar* header_name
    )

#### Description [src]

Encode the optional `display_name` and the `header_name` to a value suitable for GSettings schema org.gnome.evolution-data-server and key camel-message-info-user-headers.

Free the returned string with g_free(), when no longer needed.

Available since: 3.42

#### Parameters

`display_name`

  Type: `const gchar*`

  Display name for the header name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`header_name`

  Type: `const gchar*`

  The header name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated string with encoded `display_name` and `header_name`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.